Bug 859636 - SELinux is preventing /usr/bin/nspluginscan from 'write' accesses on the file /usr/share/locale/en_US/entry.desktop. [NEEDINFO]
SELinux is preventing /usr/bin/nspluginscan from 'write' accesses on the file...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:0c4ec7dfb78b25dbde4663f83f4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 13:06 EDT by dawid
Modified: 2012-09-26 01:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 01:02:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (nowakd13)


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-22 13:06 EDT, dawid
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-22 13:06 EDT, dawid
no flags Details

  None (edit)
Description dawid 2012-09-22 13:06:19 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.3.4-5.fc17.x86_64

description:
:SELinux is preventing /usr/bin/nspluginscan from 'write' accesses on the file /usr/share/locale/en_US/entry.desktop.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that nspluginscan should be allowed write access on the entry.desktop file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep nspluginscan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:locale_t:s0
:Target Objects                /usr/share/locale/en_US/entry.desktop [ file ]
:Source                        nspluginscan
:Source Path                   /usr/bin/nspluginscan
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           kde-baseapps-4.8.5-1.fc17.x86_64
:Target RPM Packages           kdelibs-common-4.8.5-1.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-149.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP Mon May
:                              7 17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    2012-09-22 18:05:04 IST
:Last Seen                     2012-09-22 18:05:04 IST
:Local ID                      cc89bce3-cd8e-4da2-afbb-7af7b98b1076
:
:Raw Audit Messages
:type=AVC msg=audit(1348333504.873:188): avc:  denied  { write } for  pid=17005 comm="nspluginscan" name="entry.desktop" dev="dm-1" ino=9307 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:locale_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1348333504.873:188): arch=x86_64 syscall=access success=no exit=EACCES a0=142cb28 a1=2 a2=142cb01 a3=2 items=0 ppid=8569 pid=17005 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm=nspluginscan exe=/usr/bin/nspluginscan subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: nspluginscan,mozilla_plugin_t,locale_t,file,write
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t locale_t:file write;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t locale_t:file write;
:
Comment 1 dawid 2012-09-22 13:06:22 EDT
Created attachment 615862 [details]
File: type
Comment 2 dawid 2012-09-22 13:06:24 EDT
Created attachment 615863 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-09-25 16:55:12 EDT
Do you have a file directory in your homedir labeled locale_t?

restorecon -R -v /home
Comment 4 Miroslav Grepl 2012-09-26 01:02:31 EDT
If it does not help, please reopen the bug. Thank you.

Note You need to log in before you can comment on or make changes to this bug.